1
0
Fork 0
mirror of https://github.com/Luzifer/3dmodels.git synced 2024-12-23 02:41:19 +00:00

Increase screw hole size, fix variable naming

Signed-off-by: Knut Ahlers <knut@ahlers.me>
This commit is contained in:
Knut Ahlers 2020-01-03 21:41:45 +01:00
parent ccd9558421
commit 383f44e6d2
Signed by: luzifer
GPG key ID: DC2729FDD34BE99E
3 changed files with 18674 additions and 22258 deletions

View file

@ -6,4 +6,4 @@ In case you have use for those models thankfully to Github you can preview all m
| Model | Source | Version | Title | | Model | Source | Version | Title |
| ----- | ------ | ------- | ----- | | ----- | ------ | ------- | ----- |
| [`sonoff_dev_housing.stl`](sonoff_dev_housing.stl) | [`sonoff_dev_housing.jscad`](sonoff_dev_housing.jscad) | 0.2.1 | Sonoff DEV box for lamp post | | [`sonoff_dev_housing.stl`](sonoff_dev_housing.stl) | [`sonoff_dev_housing.jscad`](sonoff_dev_housing.jscad) | 0.2.2 | Sonoff DEV box for lamp post |

View file

@ -1,6 +1,6 @@
// title : Sonoff DEV box for lamp post // title : Sonoff DEV box for lamp post
// author : Knut Ahlers // author : Knut Ahlers
// revision : 0.2.1 // revision : 0.2.2
// All measurements in mm // All measurements in mm
const innerSpace = 7 // free room on the inside from the board not to bend the cables that hard const innerSpace = 7 // free room on the inside from the board not to bend the cables that hard
@ -13,7 +13,7 @@ const lampPostRadius = 7 // 14mm diameter
const lampPostSupport = lampPostRadius + 4.5 // adjust for proper grip const lampPostSupport = lampPostRadius + 4.5 // adjust for proper grip
const screwBaseSize = 3 // block to screw the screw into const screwBaseSize = 3 // block to screw the screw into
const screwHeadRadius = 1.25 // screw head diameter = 2*screwHeadRadius const screwHeadRadius = 1.25 // screw head diameter = 2*screwHeadRadius
const screwDiameter = 0.4 // diameter for the hole the screw is screwed into const screwRadius = 0.7 // radius for the hole the screw is screwed into
const ventSize = 1 const ventSize = 1
const ventWidth = (boardSize + innerSpace - 5 * ventSize) / 2 const ventWidth = (boardSize + innerSpace - 5 * ventSize) / 2
const wall = 2.5 // wall thickness const wall = 2.5 // wall thickness
@ -72,7 +72,7 @@ function main() {
const screwHole = cylinder({ const screwHole = cylinder({
h: screwBaseSize, h: screwBaseSize,
r: screwDiameter, r: screwRadius,
center: true, center: true,
}) })

File diff suppressed because it is too large Load diff